Bug 1155 - libGL build failure: IEEE_ONE undefined on hppa/mips linux
libGL build failure: IEEE_ONE undefined on hppa/mips linux
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
unspecified
Other Linux (All)
: high blocker
Assigned To: mesa-dev
:
Depends on:
Blocks: 269 1690
  Show dependency treegraph
 
Reported: 2004-08-21 22:45 UTC by ajax at nwnk dot net
Modified: 2007-12-16 17:55 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 ajax at nwnk dot net 2004-08-22 10:27:31 UTC
fixed in current Mesa, just needs to be merged before release now.
Comment 2 Eric Anholt 2004-08-26 20:46:51 UTC
It would be nice to get Mesa 6.1 merged and pull this fix in if necessary.  I
don't think I can do it because of my very limited connectivity right now.  I'll
check back on this bug tomorrow, and I *might* be able to do it then, but it
would be much better if someone else could handle this.
Comment 3 Kevin E. Martin 2004-08-27 23:12:06 UTC
Mesa 6.1 has been merged and this fix has been brought over.
Closing.
Comment 4 Donnie Berkholz 2004-08-30 22:03:09 UTC
This needs to happen for ARM too. I'm unsure whether __arm32__ or __arm__ is
more correct.
Comment 5 Kevin E. Martin 2004-08-31 17:47:18 UTC
(In reply to comment #4)
> This needs to happen for ARM too. I'm unsure whether __arm32__ or __arm__ is
> more correct.

If we are to include this in the X.Org release, we will need to know ASAP which
one is correct.
Comment 6 Donnie Berkholz 2004-08-31 18:21:52 UTC
All I can say is that we know this is required for arm32, and we're not sure
about anything else (e.g., arm in general) because nobody using arm64 has
brought up the issue. I don't know of anyone with arm64 to ask about it, either.
The safe way would probably be to do the thing we know is correct (__arm32__)
rather than the thing that may or may not work for everyone (__arm__).
Comment 7 ajax at nwnk dot net 2004-08-31 18:29:32 UTC
i say (__arm__) is correct; i can't imagine arm32 would use IEEE floating point
and arm64 would not.  all five arm64 users are welcome to give me a beatdown if
that turns out not to be the case.
Comment 8 Brian Paul 2004-08-31 21:40:50 UTC
Fixed in Mesa CVS (Added test for __arm__ to mesa/src/main/imports.h).
Comment 9 Kevin E. Martin 2004-09-01 12:29:59 UTC
Added __arm__ from Mesa CVS.
Closing.
Comment 10 MATSUU Takuto 2005-09-26 14:50:03 UTC
__sh__ has same problem. Please add __sh__ too.
Comment 11 ajax at nwnk dot net 2005-09-26 14:53:46 UTC
the bug that will not die...
Comment 12 ajax at nwnk dot net 2005-10-03 13:03:18 UTC
applied to mesa head and 6.4 branch, closing.  will show up in the monolith on
the next Mesa import.